import sys
import os
import logging
from src.data_processor import DataProcessor
from src.model_trainer import ModelTrainer

# 设置日志
logging.basicConfig(level=logging.INFO)
logger = logging.getLogger(__name__)

def main():
    try:
        # 数据集生成与处理
        logger.info("Generating and processing data...")
        data_processor = DataProcessor()
        # data_processor.generate_raw_data()
        data_processor.process_data()

        # 模型训练
        logger.info("Training model...")
        trainer = ModelTrainer()
        trainer.train()
    except Exception as e:
        logger.error(f"An error occurred: {e}")

if __name__ == "__main__":
    main()